%define module funcsigs

Name:           python-funcsigs
Version:        1.0.2
Release:        1
Summary:        Python function signatures from PEP362 for Python 2.6, 2.7 and 3.2+

Group:          Development/Python
License:        ASL
URL:            http://funcsigs.readthedocs.org/
Source0:        http://pypi.python.org/packages/source/f/%{module}/%{module}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools


%description
funcsigs is a backport of the PEP 362 function signature features from
Python 3.3’s inspect module.

%package -n python3-funcsigs
Summary:        Python function signatures from PEP362 for Python 2.6, 2.7 and 3.2+
Group:          Development/Python

%description -n python3-funcsigs
funcsigs is a backport of the PEP 362 function signature features from
Python 3.3’s inspect module.

%prep
%setup -q -n %{module}-%{version}

cp -ap . %{py3dir}


%build
CFLAGS="%{optflags}" python2 setup.py build

pushd %{py3dir}
python3 setup.py build
popd


%check
python2 setup.py test


%install
pushd %{py3dir}
python3 setup.py install -O1 --skip-build --root %{buildroot} 
popd

python2 setup.py install -O1 --skip-build --root %{buildroot} 

%files
%doc docs/ README.rst PKG-INFO 
%{py_puresitedir}/*

%files -n python3-funcsigs
%doc docs/ README.rst PKG-INFO 
%{py3_puresitedir}/*




%changelog

* Fri Sep 07 2018 Denis Silakov <dsilakov@virtuozzo.com> 1.0.2-1
- (51d9c4b) Updated to 1.0.2


